var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;
var global_video_mp4   = global_video_mp4   || null;
var global_video_img   = global_video_img   || null;
var global_video_title = global_video_title || null;
var global_timer = null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	//http://m.ixhunter.com/?channel=c4#/detail/578835957fc3b12dc0c29c3f?_k=9oy0ys
	if(-1 == vid_mate_url.indexOf("m.ixhunter.com"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("/detail/"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("?_k="))
	{
		return null;
	}
	
	var tmp_url = vid_mate_url + "$$$";
	var video_id = cutstr(tmp_url, "?_k=", "$$$");
	if(video_id)
	{
		global_document_url = vid_mate_url;
		return video_id;
	}
	
	return null;
}


function get_video_info()
{
	var content = document.getElementById('rootDiv')
	if(content)
	{
		content = content.innerHTML;				
		global_video_img = cutstr(content, "<img class=\"grid-image\" src=\"", "\"");
		if(global_video_img)
		{
		   global_video_img =  "http://m.ixhunter.com" + global_video_img  + "";
		}
		
		global_video_title = cutstr(content, "<div class=\"grid-text multiLine-ellipse-3\"", "/div>");
		if(global_video_title)
		{
			global_video_title = cutstr(global_video_title, ">", "<");
		}
		
		global_video_mp4 = cutstr(content, "<video", "</video>");
		if(global_video_mp4)
		{
			global_video_mp4 = cutstr(global_video_mp4, "src=\"", "\"");
		}
		
		if(global_video_mp4)
		{
			var tmp_reg =new RegExp("&amp;", "g");
			global_video_mp4 = global_video_mp4.replace(tmp_reg, "&");
			
			if(global_timer)
			{
				clearInterval(global_timer);
				global_timer = null;
			}
			var rtn_video = new vid_mate_video();
			rtn_video.check_type = "ixhunter";
			rtn_video.id = global_video_id;
			rtn_video.js_ver = "1.01";
			rtn_video.js_info = "20160715: first version";
			rtn_video.url = global_document_url;
			
			rtn_video.picture_default = global_video_img;
			rtn_video.picture_big = global_video_img;
			rtn_video.title = global_video_title;
			
			var tmp_video_file = new vid_mate_video_file();	
			tmp_video_file.url = global_video_mp4;
			tmp_video_file.format = "mp4";
			tmp_video_file.title = "mp4";
			tmp_video_file.f_id = rtn_video.id;
			rtn_video.files.push(tmp_video_file);
			
			vid_mate_setParseMsg(100, 100, 'Completed');
			vid_mate_set_videoInfo(JSON.stringify(rtn_video));
		}
	}
}

function vid_mate_check() 
{
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics ...');
	var vid_mate_video_id = vid_mate_get_video_id(url);
	global_video_id = vid_mate_video_id;
	if(!global_timer)
	{
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
		global_timer = window.setInterval("get_video_info()", 2000);
	}
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}