function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	if(-1 == vid_mate_url.indexOf("mywebsearch"))
	{
		return null;
	}
	//http://mywebsearch.me/dop.php?cat=Updates&id=151483&name=Salman%20Khan%20admitted%20to%20a%20mental%20sanatorium%20-...
	var tmp_re = new RegExp("id=(.+?)&");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mywebsearch";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	var tmp_content = document.body.innerHTML;

	var videoTitle = "mp4";
	var videoUrl = "";
	rtn_video.title = "";

	var sourceArray = document.getElementsByTagName("source");
	if(0 == sourceArray.length)
	{
		var videoArray = document.getElementsByTagName("video");
		if(0 == videoArray.length)
		{
			vid_mate_error_default('mywebsearch 1');
			return null;
		}
		else
		{
			videoUrl = videoArray[0].getAttribute("src");
		}
	}
	else
	{
		videoUrl = sourceArray[0].getAttribute("src");
	}

	videoTitle = vid_mate_get_parameter(document.URL, "name");

	if(videoTitle)
	{
		rtn_video.title = videoTitle;
	}
	else
	{
		rtn_video.title = "Video File";
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	vid_mate_video_analytics(vid_mate_video_id);
}
