var global_vid_mate_video_id = "";
var global_document_url = "";

function vid_mate_get_video_id(url) {
    var vid_mate_url = url || document.URL;
    if (vid_mate_url == null || vid_mate_url.length <= 0) {
        return null;
    }
    //http://www.freshmaza.in/download.php?fileurl=site_files//Movies%20starts%20from%20H/Haider%20(2014)/Aao%20Na%20(FreshMaza.In).mp3

    if(-1 == vid_mate_url.indexOf("download.php"))
    {
        return null;
    }
    if(-1 != vid_mate_url.indexOf("freshmaza.in"))
    {
        var tmp_re = new RegExp("fileurl=(.+)");
        if (tmp_re.test(vid_mate_url)) {
            var tmp_m = vid_mate_url.match(tmp_re);
            return "f"+tmp_m[1];
        }
    }

    //http://submobi.com/download.php?file=257
    if(-1 != vid_mate_url.indexOf("submobi.com") || -1 != vid_mate_url.indexOf("mobfry.com") )
    {
        var tmp_re = new RegExp("file=([0-9]+)");
        if (tmp_re.test(vid_mate_url)) {
            var tmp_m = vid_mate_url.match(tmp_re);
            return "s"+tmp_m[1];
        }
    }

    return null;
}

function vid_mate_check(url) {
    if (vid_mate_get_video_id(url) == null) {
        vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics_submobi(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "freshmaza";
	var tmp_content = "";

	tmp_content = vm_content;
	rtn_video.id = global_vid_mate_video_id;

	var tmp_re = new RegExp("<div class='catList'>Name : (.+?)<\/div>");
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('freshmaza 1');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	rtn_video.title = tmp_m[1];
	rtn_video.url = global_document_url;

	var videoUrl = "";
	var tmp_re = new RegExp("<a href='(.+?)'>Download Now<\/a>");
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('freshmaza 3');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	videoUrl = tmp_m[1];

	var img_url = "";

	rtn_video.picture_default = img_url;
	rtn_video.picture_big = img_url;

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.f_id = rtn_video.id + '_1';
	tmp_video_file.url = decodeURIComponent(videoUrl);
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format + '';
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_video_analytics_freshmaza(vm_content)
{
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "freshmaza";
	var tmp_content = "";

	tmp_content = vm_content;
	rtn_video.id = global_vid_mate_video_id;

	var tmp_re = new RegExp("<div class=\"dtype\">Name: (.+?)<\/div>");
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('freshmaza 3');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	rtn_video.title = tmp_m[1];
	rtn_video.url = global_document_url;

	var videoUrl = "";

	var tmp_re = new RegExp("<a href=\"(.+?)\">\\\[Download File\\\]<\/a>");
	if (!tmp_re.test(tmp_content)) {
		vid_mate_error_default('freshmaza 3');
		return null;
	}
	var tmp_m = tmp_content.match(tmp_re);
	videoUrl = "http://freshmaza.in/"+tmp_m[1];

	var img_url = "";

	rtn_video.picture_default = img_url;
	rtn_video.picture_big = img_url;
	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.f_id = rtn_video.id + '_1';
	tmp_video_file.url = decodeURIComponent(videoUrl);

	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format + '';
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}


function vid_mate_get_video_info(url) {
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}
    vid_mate_setParseMsg(10, 20, 'Start Analytics');


	var vid_mate_video_id = vid_mate_get_video_id(url);
	if(null == vid_mate_video_id)
	{
		return null;
	}
	global_document_url = url;
	global_vid_mate_video_id = vid_mate_video_id;

	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	var vid_mate_url_get = url;
    try
	{
        window.vbrowser.httpReq(vid_mate_url_get, 'vid_mate_app_xhr_result_for_blank()');
    }
	catch (e)
	{
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}
}

function vid_mate_app_xhr_result_for_blank()
{
	var vid_mate_response;
	try
	{
		vid_mate_response = window.vbrowser.getHttpRes();
	}
	catch (e)
	{
		vid_mate_error(vid_mate_error_msg, e.name + ": " + e.message);
	}

	if (vid_mate_response != null && vid_mate_response.length > 0)
	{
		vid_mate_video_analytics_for_blank(vid_mate_response);
	}
}

function vid_mate_video_analytics_for_blank(document_content)
{
	if("f" == global_vid_mate_video_id.substring(0, 1))
	{
		vid_mate_video_analytics_freshmaza(document_content);
	}
	else
	{
		vid_mate_video_analytics_submobi(document_content);
	}
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


