
var global_document_url = "";
var global_vid_mate_video_id = "";
var global_rtn_video = null;
var global_video_url = "";

function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	if(-1 == vid_mate_url.indexOf("hotsouth"))
	{
		return null;
	}

	var tmp_re = new RegExp("/filedownload/([0-9]+)/([0-9]+)/");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[2];
	}
	return null;
}

function vid_mate_check(url) {
	if (vid_mate_get_video_id(url) == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "hotsouth";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = global_vid_mate_video_id;

	var tmp_content = "";

	if(vm_content.length > 128)
	{
		tmp_content = vm_content;
	}
	else
	{
		tmp_content = document.body.innerHTML;
	}

	var urlArray = [];
	var tmp_re = new RegExp(/href="(.+?)"/g);
	if (tmp_re.test(tmp_content)) {
		urlArray = tmp_content.match(tmp_re);
	}

	var videoUrl = "";
	for(var i=0; i<urlArray.length; ++i)
	{
		var url = urlArray[i];
		if(-1 != url.indexOf("/download/id/") && -1 != url.indexOf("hotsouth"))
		{

			videoUrl = url;
			videoUrl = videoUrl.replace(/"/g, "");
			videoUrl = videoUrl.replace("href=", "");
			videoUrl = videoUrl.replace(/ /g, "%20");
			break;
		}
	}

	if("" == videoUrl)
	{
		vid_mate_error_default('hotsouth 1');
		return null;
	}

	var videoTitle = "mp4";
	var tmp_re = new RegExp(/Free Download (.+?)<\/h2>/gm);
	if (tmp_re.test(tmp_content)) {
		var tmp_m = tmp_content.match(tmp_re);
		for(var i=0; i<tmp_m.length; ++i)
		{
			var tmp_title = tmp_m[i];
			if(-1 == tmp_title.indexOf("Free Download"))
			{
				continue;
			}
			videoTitle = tmp_title;
			videoTitle = videoTitle.trim();
			videoTitle = videoTitle.replace("Free Download ", "");
			videoTitle = videoTitle.replace("<h2>", "");
			videoTitle = videoTitle.replace("</h2>", "");
		}
	}


    var imgArray = [];
	var tmp_re = new RegExp(/src="(.+?)"/g);
	if (tmp_re.test(tmp_content)) {
		imgArray = tmp_content.match(tmp_re);
	}

	var videoImg = "";
	for(var i=0; i<imgArray.length; ++i)
	{
		var img = imgArray[i];
		if(-1 != img.indexOf("upload_file") || -1 != img.indexOf("folderthumb"))
		{
			videoImg = img;
			videoImg = videoImg.replace(/"/g, "");
			videoImg = videoImg.replace("src=", "");
			videoImg = videoImg.replace(/ /g, "%20");
			break;
		}
	}

	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;

	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;

	global_rtn_video = rtn_video;
	var videoUrlArray = [];
	videoUrlArray.push(videoUrl);

	var cookie = "";
	if(window.vbrowser.httpGetCookie)
	{
		cookie = window.vbrowser.httpGetCookie(document.URL);
	}
	else
	{
		cookie = document.cookie;
	}

	try {
		window.vbrowser.httpBeginGetAll();
		for(var i=0; i<videoUrlArray.length; ++i)
		{
			var url = "http://api.apk.vidmate.net/url?url="+encodeURIComponent(videoUrlArray[i]) + "&cookie="+encodeURIComponent(cookie);
			window.vbrowser.httpAddUrl(url);
		}
		window.vbrowser.httpGetAll('vid_mate_app_xhr_more_result()');
	}
	catch (e) {
		vid_mate_error_default('hotsouth 4\r\n' + e.name + ": " + e.message);
		return null;
	}
}

function vid_mate_app_xhr_more_result() {
	var rtn_contents = [];
	try {
		var tmp_count = window.vbrowser.httpGetResCount();
		for (var i = 0;i < tmp_count;i ++) {
			var tmp_content = window.vbrowser.httpGetResAtIndex(i);
			rtn_contents.push(tmp_content);
		}
	} catch (e) {
		vid_mate_error_default('hotsouth 3\r\n' + e.name + ": " + e.message);
		return null;
	}

	vid_mate_video_analytics_more(rtn_contents);
}


function vid_mate_video_analytics_more(vm_content_array)
{
	for(var i=0; i<vm_content_array.length; ++i)
	{
		var videoUrl = vm_content_array[i];
		if(!videoUrl)
		{
			continue;
		}
		videoUrl = decodeURIComponent(videoUrl);
		videoUrl = videoUrl.replace(/&amp;/g, "&");
		videoUrl = videoUrl.replace(/ /g, "%20");
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = videoUrl;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = tmp_format;
		tmp_video_file.title = tmp_format;
		tmp_video_file.f_id = global_rtn_video.id + "_"+ tmp_format;
		global_rtn_video.files.push(tmp_video_file);
	}

	if(0 == global_rtn_video.files.length)
	{
		vid_mate_error_default('hotsouth get real url fail');
		return null;
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(global_rtn_video));
}

function vid_mate_get_video_info(url) {
	if(null == url || undefined == url || 0 == url.length)
	{
		return vid_mate_get_video_info_on_blank(document.URL);
	}

    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	/*
	if (!vid_mate_check()) {
		return null;
	}
	*/

	var vid_mate_video_id = vid_mate_get_video_id(url);
	global_vid_mate_video_id = vid_mate_video_id;
	global_document_url = url;
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	if(1)
	{
		//var url = url;
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(url);
		}
		else
		{
			cookie = document.cookie;
		}
		var userAgent = "Mozilla/5.0 (Linux; Android 4."+rand_num(0,4)+"; Build/KRT16M) AppleWebKit/"+rand_num(100,537)+".36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/"+rand_num(300,400)+".36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	}
	else
	{
		vid_mate_video_analytics(vid_mate_video_id);
	}
}

function rand_num(min, max)
{
	return parseInt(Math.random() * (max - min) + min);
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


